IRPCEventsAdmin.UpdateEventLogFilterDefaultValue

View as Markdown

Administration API / specialized admin session idempotent

Makes a saved event log filter the user's default filter, or clears its default flag.

ServiceEvent administration MFiles.IRPCEventsAdmin
gRPC method/MFiles.IRPCEventsAdmin/UpdateEventLogFilterDefaultValue
HTTP (mf-http-grpc)POST /grpc/v1/update-event-log-filter-default-value
RequestUpdateEventLogFilterDefaultValueRequest
ResponseUpdateEventLogFilterDefaultValueResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: UpdateEventLogFilterDefaultValueRequest

This is copy of EventLogFilter for backwards compatibility. Cannot use alias because alias that would require service proto to depend directly on struct proto.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
idint64The ID of one of your saved filters, from GetEventLogFilters.
namestringIgnored.
created_by_user_accountint32Ignored.
conditionEventLogFilterConditionIgnored.
condition.object_typeint32Object Type in Filter View.
condition.object_idstringObject ID in Filter View.
condition.object_namestringObject Name in Filter View.
condition.object_classint32Object Class in Filter View.
condition.event_typesEventTypeArrayEvent Types in Filter View.
condition.event_types.event_types[]repeated EventTypeThe event types.
condition.event_caused_by_userstringUser name in Filter View.
condition.start_timegoogle.protobuf.TimestampStart time in Filter View.
condition.end_timegoogle.protobuf.TimestampEnd time in Filter View.
default_filter_viewboolTrue to make the filter the default, false to clear its default flag.

Response: UpdateEventLogFilterDefaultValueResponse

A structure that specifies UpdateEventLogFilterDefaultValue response payload.

No fields.